


#include <config.h>

#include "ephy-type-builtins.h"


/* enumerations from "ephy-link.h" */
#include "ephy-link.h"
GType
ephy_link_flags_get_type (void)
{
  static GType type = 0;

  if (G_UNLIKELY (type == 0))
  {
    static const GFlagsValue _ephy_link_flags_values[] = {
      { EPHY_LINK_NEW_WINDOW, "EPHY_LINK_NEW_WINDOW", "new-window" },
      { EPHY_LINK_NEW_TAB, "EPHY_LINK_NEW_TAB", "new-tab" },
      { EPHY_LINK_JUMP_TO, "EPHY_LINK_JUMP_TO", "jump-to" },
      { EPHY_LINK_NEW_TAB_APPEND_AFTER, "EPHY_LINK_NEW_TAB_APPEND_AFTER", "new-tab-append-after" },
      { EPHY_LINK_HOME_PAGE, "EPHY_LINK_HOME_PAGE", "home-page" },
      { EPHY_LINK_TYPED, "EPHY_LINK_TYPED", "typed" },
      { EPHY_LINK_BOOKMARK, "EPHY_LINK_BOOKMARK", "bookmark" },
      { 0, NULL, NULL }
    };

    type = g_flags_register_static ("EphyLinkFlags", _ephy_link_flags_values);
  }

  return type;
}


/* enumerations from "ephy-session.h" */
#include "ephy-session.h"
GType
ephy_session_command_get_type (void)
{
  static GType type = 0;

  if (G_UNLIKELY (type == 0))
  {
    static const GEnumValue _ephy_session_command_values[] = {
      { EPHY_SESSION_CMD_LAST, "EPHY_SESSION_CMD_LAST", "last" },
      { 0, NULL, NULL }
    };

    type = g_enum_register_static ("EphySessionCommand", _ephy_session_command_values);
  }

  return type;
}


/* enumerations from "ephy-shell.h" */
#include "ephy-shell.h"
GType
ephy_new_tab_flags_get_type (void)
{
  static GType type = 0;

  if (G_UNLIKELY (type == 0))
  {
    static const GFlagsValue _ephy_new_tab_flags_values[] = {
      { EPHY_NEW_TAB_DONT_SHOW_WINDOW, "EPHY_NEW_TAB_DONT_SHOW_WINDOW", "dont-show-window" },
      { EPHY_NEW_TAB_FIRST, "EPHY_NEW_TAB_FIRST", "first" },
      { EPHY_NEW_TAB_APPEND_LAST, "EPHY_NEW_TAB_APPEND_LAST", "append-last" },
      { EPHY_NEW_TAB_APPEND_AFTER, "EPHY_NEW_TAB_APPEND_AFTER", "append-after" },
      { EPHY_NEW_TAB_JUMP, "EPHY_NEW_TAB_JUMP", "jump" },
      { 0, NULL, NULL }
    };

    type = g_flags_register_static ("EphyNewTabFlags", _ephy_new_tab_flags_values);
  }

  return type;
}

GType
ephy_startup_flags_get_type (void)
{
  static GType type = 0;

  if (G_UNLIKELY (type == 0))
  {
    static const GFlagsValue _ephy_startup_flags_values[] = {
      { EPHY_STARTUP_NEW_TAB, "EPHY_STARTUP_NEW_TAB", "tab" },
      { EPHY_STARTUP_NEW_WINDOW, "EPHY_STARTUP_NEW_WINDOW", "window" },
      { 0, NULL, NULL }
    };

    type = g_flags_register_static ("EphyStartupFlags", _ephy_startup_flags_values);
  }

  return type;
}


/* enumerations from "ephy-window.h" */
#include "ephy-window.h"
GType
ephy_window_chrome_get_type (void)
{
  static GType type = 0;

  if (G_UNLIKELY (type == 0))
  {
    static const GFlagsValue _ephy_window_chrome_values[] = {
      { EPHY_WINDOW_CHROME_TOOLBAR, "EPHY_WINDOW_CHROME_TOOLBAR", "toolbar" },
      { EPHY_WINDOW_CHROME_MENU, "EPHY_WINDOW_CHROME_MENU", "menu" },
      { EPHY_WINDOW_CHROME_LOCATION, "EPHY_WINDOW_CHROME_LOCATION", "location" },
      { EPHY_WINDOW_CHROME_DOWNLOADS_BOX, "EPHY_WINDOW_CHROME_DOWNLOADS_BOX", "downloads-box" },
      { EPHY_WINDOW_CHROME_TABSBAR, "EPHY_WINDOW_CHROME_TABSBAR", "tabsbar" },
      { EPHY_WINDOW_CHROME_DEFAULT, "EPHY_WINDOW_CHROME_DEFAULT", "default" },
      { 0, NULL, NULL }
    };

    type = g_flags_register_static ("EphyWindowChrome", _ephy_window_chrome_values);
  }

  return type;
}


/* enumerations from "ephy-navigation-history-action.h" */
#include "ephy-navigation-history-action.h"
GType
ephy_navigation_history_direction_get_type (void)
{
  static GType type = 0;

  if (G_UNLIKELY (type == 0))
  {
    static const GEnumValue _ephy_navigation_history_direction_values[] = {
      { EPHY_NAVIGATION_HISTORY_DIRECTION_BACK, "EPHY_NAVIGATION_HISTORY_DIRECTION_BACK", "back" },
      { EPHY_NAVIGATION_HISTORY_DIRECTION_FORWARD, "EPHY_NAVIGATION_HISTORY_DIRECTION_FORWARD", "forward" },
      { 0, NULL, NULL }
    };

    type = g_enum_register_static ("EphyNavigationHistoryDirection", _ephy_navigation_history_direction_values);
  }

  return type;
}


/* enumerations from "ephy-title-box.h" */
#include "ephy-title-box.h"
GType
ephy_title_box_mode_get_type (void)
{
  static GType type = 0;

  if (G_UNLIKELY (type == 0))
  {
    static const GEnumValue _ephy_title_box_mode_values[] = {
      { EPHY_TITLE_BOX_MODE_LOCATION_ENTRY, "EPHY_TITLE_BOX_MODE_LOCATION_ENTRY", "location-entry" },
      { EPHY_TITLE_BOX_MODE_TITLE, "EPHY_TITLE_BOX_MODE_TITLE", "title" },
      { 0, NULL, NULL }
    };

    type = g_enum_register_static ("EphyTitleBoxMode", _ephy_title_box_mode_values);
  }

  return type;
}


/* enumerations from "clear-data-dialog.h" */
#include "clear-data-dialog.h"
GType
clear_data_dialog_flags_get_type (void)
{
  static GType type = 0;

  if (G_UNLIKELY (type == 0))
  {
    static const GFlagsValue _clear_data_dialog_flags_values[] = {
      { CLEAR_DATA_NONE, "CLEAR_DATA_NONE", "none" },
      { CLEAR_DATA_CACHE, "CLEAR_DATA_CACHE", "cache" },
      { CLEAR_DATA_PASSWORDS, "CLEAR_DATA_PASSWORDS", "passwords" },
      { CLEAR_DATA_HISTORY, "CLEAR_DATA_HISTORY", "history" },
      { CLEAR_DATA_COOKIES, "CLEAR_DATA_COOKIES", "cookies" },
      { 0, NULL, NULL }
    };

    type = g_flags_register_static ("ClearDataDialogFlags", _clear_data_dialog_flags_values);
  }

  return type;
}




